Subject: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Stefan Monnier <[email-masked]>
Date: Wed, 11 Aug 2010 09:46:14 +0200

>> We don't have to treat shift-selection in the same way that we treat
>> C-SPC C-f.
> No, but wouldn't that be confusing?

It's been that way in Emacs for a while and I can't remember any
bug-report about it, so it doesn't seem like it's a real problem.

> Why not treat selection the same regardless of how it was made?  Is it
> for backwards compability?

Consistency is a good property, indeed.  It's not always the most
important one, tho.  Backward compatibility is not the issue here,
I think.  The issue is "how do we implement it", AFAICT.

> In that case the selection would be empty, one should not take ownership of
> PRIMARY in that case.

So the C-f (or any other movement) would cause the selection of PRIMARY?
That would have to be performed in some kind of post-command-hook, which
is undesirable.

        Stefan